# cTerminationException Class Reference
[Internal classes]

`#include <cexception.h>`

Inheritance diagram for cTerminationException:

List of all members.

## Detailed Description

Thrown when the simulation is completed.

For example, cSimpleModule::endSimulation() throws this exception. Statistics object may also throw this exception to signal that accuracy of simulation results has reached the desired level.

## Public Member Functions

| cTerminationException (int errcode,...)
| cTerminationException (const char *msg,...)

## Constructor & Destructor Documentation

cTerminationException::cTerminationException | ( | int | errcode,
|  |  | ...
| ) |

| Error is identified by an error code, and the message comes from a string table. The error string may expect printf-like arguments (s, d) which also have to be passed to the constructor.

cTerminationException::cTerminationException | ( | const char * | msg,
|  |  | ...
| ) |

| To be called like printf(). The error code is set to eCUSTOM.

The documentation for this class was generated from the following file:

- cexception.h